Static Public Member Functions | List of all members
SchemeTypeTraits Struct Reference

Traits associated the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined on the scheme itself. More...

`#include <types.h>`

## Static Public Member Functions
static SchemeType | GetType (SchemeType schemeType)
static Split | GetTopologicalSplitType (SchemeType schemeType)
static int | GetRegularFaceSize (SchemeType schemeType)
static int | GetRegularVertexValence (SchemeType schemeType)
static int | GetLocalNeighborhoodSize (SchemeType schemeType)
static char const * | GetName (SchemeType schemeType)

## Detailed Description

Traits associated the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined on the scheme itself.

Definition at line 57 of file types.h.

## Member Function Documentation

## § GetLocalNeighborhoodSize()

static int GetLocalNeighborhoodSize | ( | SchemeType | schemeType | ) |
| static

## § GetName()

static char const* GetName | ( | SchemeType | schemeType | ) |
| static

## § GetRegularFaceSize()

static int GetRegularFaceSize | ( | SchemeType | schemeType | ) |
| static

## § GetRegularVertexValence()

static int GetRegularVertexValence | ( | SchemeType | schemeType | ) |
| static

## § GetTopologicalSplitType()

static Split GetTopologicalSplitType | ( | SchemeType | schemeType | ) |
| static

## § GetType()

static SchemeType GetType | ( | SchemeType | schemeType | ) |
| inline static

Definition at line 59 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/sdc/types.h